This project is read-only.
1
Vote

Selected DB is not content DB or is incorrect version

description

Hi

When using the Tool on a SP2010 contentDB i get the error "Selected DB is not content DB or is incorrect version."
I've tried on a number of contentDB on the SQL and could only get it to Work on 1 contentDB which is not a part of the main live farm. So I'm guessing it's a version problem?
Problem is, since the backup is a backup, I can't upgrade it.

What to do?

Kind regards, Rasmus

comments

m473i wrote Nov 21, 2013 at 8:18 PM

Hi Rasmus,

can you please try to run this query on your content DB:
                    SELECT Version
                    FROM   [Versions]
                    WHERE  VersionId = '00000000-0000-0000-0000-000000000000';
It should return you version string that starts with 14.00 for the SP 2010 version. If this is your case check also if you are running the tool with the sufficient permissions to connect to the content DB as the tool is sending queries directly to the DB.

shobs wrote May 27, 2014 at 6:57 PM

I am having same issue.
The above query returned version string starts with 14.00
I am DB owner still gives me error: "Selected DB is not content DB or is incorrect version."

Tjulien wrote Jul 7, 2016 at 5:50 PM

I am getting the same error.